package com.zipcoder.payment;

public class PayPal implements Payment{

    private Long id;
    private String payerName;
    private String email;

    public PayPal(){
        this.payerName = payerName;
        this.email = email;
        this.id=id;
    }

    public PayPal(Long id, String payerName, String email) {
        this.payerName = payerName;
        this.email = email;
        this.id=id;
    }

    public void setPayerName(String payerName) {
        this.payerName = payerName;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public void setId(Long id) {
        this.id = id;
    }

    @Override
    public Long getId() {
        return id;
    }

    @Override
    public String getPayerName() {
        return payerName;
    }

    @Override
    public String getShortDescription() {
        return "Paypal " + getPayerName() + " " + getEmail();
    }

    @Override
    public int compareTo(Payment other) {
        return this.getShortDescription().compareTo(other.getShortDescription());

    }
}
