package com.zipcoder.payment;


import org.junit.Assert;
import org.junit.Test;

public class CheckTest {

     @Test
        public void testGetId(){
            //given
            Check check = new Check();
            long id = 3;
            check.setId(id);
            //when
            long actualId= check.getId();
            //then

            Assert.assertEquals(id,actualId);
        }
        @Test
        public void testGetPayerName(){
            //given
           Check  check = new Check();
            String name = "Nury";
            check.setPayerName(name);
            //when
            String actual= check.getPayerName();
            //then

            Assert.assertEquals(name,actual);


        }

        @Test
        public void testGetAccoungNumber(){
            //given
            Check check = new Check();
            String number = "99999";
            check.setAccountNumber(number);
            //when
            String actual= check.getAccountNumber();
            //then

            Assert.assertEquals(number,actual);


        }
        @Test
        public void testGetRoutingNumber(){
            //given
           Check check = new Check();
            String routingNumber = "999";
            check.setRoutingNumber(routingNumber);
            //when
            String actual= check.getRoutingNumber();
            //then

            Assert.assertEquals(routingNumber,actual);


        }
    @Test
    public void testGetLast4Digit(){
        Check check = new Check();
        String  id = "9999989";
        String expectedId= "9989";
        check.setAccountNumber(id);

        //when
        String actual=check.getLast4Digit();
        //System.out.print(check.getLast4Digit());
        //then
        Assert.assertEquals(expectedId,actual);

    }
    @Test
    public void testGetShortDescription() {
        Check check = new Check(002L,"Nuri H", "0000888","1234567");

         String expected = "Check Nuri H ***4567";
         String actual = check.getShortDescription();
         Assert.assertEquals(expected, actual);
          }

}
