package com.zipcoder.payment;

public class PaymentPresenter {
    public String toString(Payment [] payments){
        Payment temp;
        for (int i = 0; i < payments.length; i++) {
            for (int j = i + 1; j < payments.length; j++) {
                if (payments[i].compareTo(payments[j]) > 0) {
                    temp = payments[j];
                    payments[j] = payments[i];
                    payments[i] = temp;
                }
            }
        }

        String paymentsList = "";
        for (Payment payment : payments) {
            paymentsList += payment.getShortDescription() + "\n";
        }
        return paymentsList;

    }



    public String toStringByPayerName(Payment[] payments) {
        PaymentSortByPayer paymentSortByPayer = new PaymentSortByPayer();
        Payment temp;
        for (int i = 0; i < payments.length; i++) {
            for (int j = i + 1; j < payments.length; j++) {
                if (paymentSortByPayer.compare(payments[i], (payments[j])) > 0) {
                    temp = payments[j];
                    payments[j] = payments[i];
                    payments[i] = temp;
                }
            }
        }

        String paymentsList = "";
        for (Payment payment : payments) {
            paymentsList += payment.getShortDescription() + "\n";
        }
        return paymentsList;
    }




    public String toStringById(Payment[] payments) {

        Payment temp;
        for (int i = 0; i < payments.length; i++) {
            for (int j = i + 1; j < payments.length; j++) {
                if (payments[i].getId() > payments[j].getId()) {
                    temp = payments[j];
                    payments[j] = payments[i];
                    payments[i] = temp;
                }
            }
        }

        String paymentsList = "";
        for (Payment payment : payments) {
            paymentsList += payment.getShortDescription() + "\n";
        }
        return paymentsList;
    }

}
